#include "../freebl/fips-selftest.inc"

#include "fips.h"

#include "softoken.h"

/* crypto algorithms selftest wrapper */
static fips_check_status
fips_checkCryptoSoftoken(void)
{
    if (CKR_OK == sftk_FIPSEntryOK()) {
	return CHECK_OK;
    } else {
	return CHECK_FAIL_CRYPTO;
    }

    return CHECK_OK;
}

/* constructor - load-time selfchecks */
static void __attribute__ ((constructor))
fips_initTestSoftoken(void)
{
    fips_state = fips_initTest("softokn", (PRFuncPtr)fips_initTestSoftoken, fips_checkCryptoSoftoken);
    return;
}
